Page MenuHomePhabricator

The license should be customizable, currently, CC0 license is hardcoded into the .ttl output
Closed, ResolvedPublic5 Story Points

Description

License should be configurable in the TTL output. Currently even worse than this it is defaulting to CC0 even if your data isn't.

Users need this because they have data that isn't CC0 that the don't want to be falsely saying it is


https://www.wikidata.org/wiki/Special:EntityData/Q8743220.ttl

has

@prefix cc: <http://creativecommons.org/ns#> .
	cc:license <http://creativecommons.org/publicdomain/zero/1.0/> ;

for example

Ideally this should probably be configured the same way as the license visible on the Wiki.
Having joint configuration for this licence and other licences within Wikibase is not covered in this ticket.

Acceptance Criteria

  • The licence displayed in the .ttl output is configurable
  • The .rdf JSONLD nt output is also configurable via the same setting (this should all happen automagically)
  • The default is CC0 / the current hardcoded licence
  • The option is documented in the docs/options.wiki file
  • The output is tested in some way

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterMake license in RDF outputs confgurable

Event Timeline

Tarrow created this task.Sep 20 2018, 8:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 20 2018, 8:14 PM
LJ added a subscriber: LJ.Sep 20 2018, 8:20 PM
Addshore renamed this task from The CC0 license is hardcoded into the TTL output to The CC0 license is hardcoded into the .ttl output.Sep 28 2018, 7:46 AM
Addshore triaged this task as Normal priority.
Addshore updated the task description. (Show Details)
Jan_Dittrich renamed this task from The CC0 license is hardcoded into the .ttl output to The license should be customizable, currently, CC0 license is hardcoded into the .ttl output.Oct 1 2018, 10:43 AM

Questions:

  • Does this need to be per entity type?
  • What types of licence do we want to handle? Just CC or others too?

Questions:

  • Does this need to be per entity type?

Right now I don't think so but there might be 3rd party installations in the future who wish for this to be possible. If we can do it for all entity types now without preventing changing it in the future then that'd be best.

  • What types of licence do we want to handle? Just CC or others too?

I think for 3rd party installs we need others too.

Addshore updated the task description. (Show Details)Nov 6 2018, 11:21 AM
Ladsgroup claimed this task.Nov 6 2018, 2:01 PM
Ladsgroup added a subscriber: Ladsgroup.

On it.

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptNov 6 2018, 2:01 PM
Addshore updated the task description. (Show Details)Nov 6 2018, 2:35 PM
Addshore set the point value for this task to 5.
Tarrow added a comment.Nov 6 2018, 2:39 PM

https://www.wikidata.org/wiki/Special:EntityData/Q8743220.rdf also has some license data maybe we also need to look in other places if it doesn't change automagically.

Addshore updated the task description. (Show Details)Nov 6 2018, 2:42 PM

Task breakdown discussion:

Addshore updated the task description. (Show Details)Nov 6 2018, 3:10 PM

Change 472046 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@master] Make license in RDF outputs confgurable

https://gerrit.wikimedia.org/r/472046

Change 472046 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Make license in RDF outputs confgurable

https://gerrit.wikimedia.org/r/472046

Do we have a good place to document this? Because it seems like one of those things that people otherwise overlook easily and since it isn't configured for Wikidata they also can't see it simply by copying from our config.

Addshore moved this task from incoming to in progress on the Wikidata board.Nov 13 2018, 3:34 PM

Do we have a good place to document this? Because it seems like one of those things that people otherwise overlook easily and since it isn't configured for Wikidata they also can't see it simply by copying from our config.

It's documented at docs/options.wiki but I can't think of any other place to put it. Unless we define a help page on mediawiki.org/wiki/Wikibase for licensing

Do we have a good place to document this? Because it seems like one of those things that people otherwise overlook easily and since it isn't configured for Wikidata they also can't see it simply by copying from our config.

I guess this should go with all of the other things that we needed to document, which while going through the wikibase related tickets from the federated wikibase workshops I think we decided was going to be wikiba.se?

Addshore closed this task as Resolved.Nov 14 2018, 3:46 PM

Example output with my test item and some custom setting:

<?xml version="1.0"?>
<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:xsd="http://www.w3.org/2001/XMLSchema#" xmlns:ontolex="http://www.w3.org/ns/lemon/ontolex#" xmlns:dct="http://purl.org/dc/terms/" xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#" xmlns:owl="http://www.w3.org/2002/07/owl#" xmlns:wikibase="http://wikiba.se/ontology#" xmlns:wds="http://default.web.mw.localhost:8080/entity/statement/" xmlns:wdata="http://default.web.mw.localhost:8080/mediawiki/index.php?title=Special:EntityData/" xmlns:skos="http://www.w3.org/2004/02/skos/core#" xmlns:schema="http://schema.org/" xmlns:cc="http://creativecommons.org/ns#" xmlns:geo="http://www.opengis.net/ont/geosparql#" xmlns:prov="http://www.w3.org/ns/prov#" xmlns:wdref="http://default.web.mw.localhost:8080/reference/" xmlns:wdv="http://default.web.mw.localhost:8080/value/" xmlns:wd="http://default.web.mw.localhost:8080/entity/" xmlns:wdt="http://default.web.mw.localhost:8080/prop/direct/" xmlns:wdtn="http://default.web.mw.localhost:8080/prop/direct-normalized/" xmlns:p="http://default.web.mw.localhost:8080/prop/" xmlns:ps="http://default.web.mw.localhost:8080/prop/statement/" xmlns:psv="http://default.web.mw.localhost:8080/prop/statement/value/" xmlns:psn="http://default.web.mw.localhost:8080/prop/statement/value-normalized/" xmlns:pq="http://default.web.mw.localhost:8080/prop/qualifier/" xmlns:pqv="http://default.web.mw.localhost:8080/prop/qualifier/value/" xmlns:pqn="http://default.web.mw.localhost:8080/prop/qualifier/value-normalized/" xmlns:pr="http://default.web.mw.localhost:8080/prop/reference/" xmlns:prv="http://default.web.mw.localhost:8080/prop/reference/value/" xmlns:prn="http://default.web.mw.localhost:8080/prop/reference/value-normalized/" xmlns:wdno="http://default.web.mw.localhost:8080/prop/novalue/">
	<rdf:Description rdf:about="http://default.web.mw.localhost:8080/mediawiki/index.php?title=Special:EntityData/Q1">
		<rdf:type rdf:resource="http://schema.org/Dataset"/>
		<schema:about rdf:resource="http://default.web.mw.localhost:8080/entity/Q1"/>
		<cc:license rdf:resource="RDF LICENCE"/>
		<schema:softwareVersion>1.0.0</schema:softwareVersion>
		<schema:version rdf:datatype="http://www.w3.org/2001/XMLSchema#integer">11</schema:version>
		<schema:dateModified rdf:datatype="http://www.w3.org/2001/XMLSchema#dateTime">2018-11-14T15:44:33Z</schema:dateModified>
		<wikibase:statements rdf:datatype="http://www.w3.org/2001/XMLSchema#integer">0</wikibase:statements>
		<wikibase:identifiers rdf:datatype="http://www.w3.org/2001/XMLSchema#integer">0</wikibase:identifiers>
		<wikibase:sitelinks rdf:datatype="http://www.w3.org/2001/XMLSchema#integer">0</wikibase:sitelinks>
	</rdf:Description>
	<rdf:Description rdf:about="http://default.web.mw.localhost:8080/entity/Q1">
		<rdf:type rdf:resource="http://wikiba.se/ontology#Item"/>
		<rdfs:label xml:lang="en">fooooo</rdfs:label>
		<skos:prefLabel xml:lang="en">fooooo</skos:prefLabel>
		<schema:name xml:lang="en">fooooo</schema:name>
	</rdf:Description>
</rdf:RDF>
Addshore updated the task description. (Show Details)Nov 14 2018, 3:46 PM